Page MenuHomePhabricator

[GlobalISel][AArch64] Select G_FFLOOR
ClosedPublic

Authored by paquette on Jan 30 2019, 4:24 PM.

Details

Summary

This teaches the legalizer about G_FFLOOR, and lets us select G_FFLOOR in AArch64.

It updates the existing floating point tests, and adds a select-floor.mir test.

Diff Detail

Event Timeline

paquette created this revision.Jan 30 2019, 4:24 PM
aemerson accepted this revision.Feb 1 2019, 4:08 PM

LGTM.

This revision is now accepted and ready to land.Feb 1 2019, 4:08 PM
This revision was automatically updated to reflect the committed changes.
Herald added a project: Restricted Project. · View Herald TranscriptFeb 11 2019, 9:22 AM